#include "MapClass.h"
MapClass::MapClass()
{

	mapimage=SDL_CreateRGBSurface(SDL_HWSURFACE|SDL_DOUBLEBUF, VIDEO_W, VIDEO_H, 32,
                                   0xff000000,0xff0000,0xff00,0xff);                      
	map1x=0;
	map2x=420;
	BeforeMapx=0;
	fp=NULL;
	fp=fopen("./map.ini","r");
	if(fp==NULL){
		printf("not open\n");
	}else{
		printf("open\n");
	}
	int eof,i;
	for(i=0;i<100;i++){
		if(fscanf(fp,"%s",FileName[i])==EOF)break;
	}
        image1 = (SDL_Surface *)SDL_LoadBMP(&FileName[0][0]);
	image2 = (SDL_Surface *)SDL_LoadBMP(&FileName[1][0]);
	fclose(fp);
	MapFlg=0;
}
MapClass::~MapClass()
{
	SDL_FreeSurface(mapimage);  
	SDL_FreeSurface(image1);
	SDL_FreeSurface(image2);               
}
void MapClass::DrawMap(SDL_Surface *screen)
{
	SDL_BlitSurface(mapimage,NULL,screen,NULL);
}
// Mpa$BLa$k(BVer
void MapClass::UpdateMap(int map_x)
{
	static int mapname=0;
	map1x-=map_x-BeforeMapx;
	map2x-=map_x-BeforeMapx;
	BeforeMapx=map_x;
	recSrcMap.x	=0;
	recSrcMap.y	=0;
	
	recMap.x	=-map1x;
	recMap.y	=0;
	recMap.w	=420+map1x;
	recMap.h	=250;
	if((map1x<-420) && MapFlg==0){
		if(strcmp(&FileName[mapname][0],"EOF")==0){
			MapFlg=1;
		}else{
			map1x=420;
			SDL_FreeSurface(image1);
			image1 = (SDL_Surface *)SDL_LoadBMP(&FileName[mapname][0]);
			mapname++;
			if(strcmp(&FileName[mapname][0],"EOF")==0)mapname=0;
		}
	}
	
	SDL_BlitSurface(image1,&recMap,mapimage,&recSrcMap);
	
	recSrcMap.x	=map2x;
	recSrcMap.y	=0;
	
	recMap.x	=0;
	recMap.y	=0;
	recMap.w	=420-map2x;
	recMap.h	=250;
	if((map2x<-420) && MapFlg==0){
		if(strcmp(&FileName[mapname][0],"EOF")==0){
			MapFlg=1;
		}else{
			map2x=420;
			SDL_FreeSurface(image2);
			image2 = (SDL_Surface *)SDL_LoadBMP(&FileName[mapname][0]);
			mapname++;
			if(strcmp(&FileName[mapname][0],"EOF")==0)mapname=0;
		}
	}
	SDL_BlitSurface(image2,&recMap,mapimage,&recSrcMap);
	
}
// $B%^%C%W?J$a$J$$(BVer
/*void MapClass::UpdateMap(int map_x)
{
	static int mapname=0;
	map1x-=map_x-BeforeMapx;
	map2x-=map_x-BeforeMapx;
	BeforeMapx=map_x;
	recSrcMap.x	=0;
	recSrcMap.y	=0;
	
	recMap.x	=-map1x;
	recMap.y	=0;
	recMap.w	=420+map1x;
	recMap.h	=250;
	if((map1x<-420) && MapFlg==0){
		if(strcmp(&FileName[mapname][0],"EOF")==0){
			MapFlg=1;
		}else{
			map1x=420;
			SDL_FreeSurface(image1);
			image1 = (SDL_Surface *)SDL_LoadBMP(&FileName[mapname][0]);
			mapname++;
			if(strcmp(&FileName[mapname][0],"EOF")==0)MapFlg=1;
		}
	}
	
	SDL_BlitSurface(image1,&recMap,mapimage,&recSrcMap);
	
	recSrcMap.x	=map2x;
	recSrcMap.y	=0;
	
	recMap.x	=0;
	recMap.y	=0;
	recMap.w	=420-map2x;
	recMap.h	=250;
	if((map2x<-420) && MapFlg==0){
		if(strcmp(&FileName[mapname][0],"EOF")==0){
			MapFlg=1;
		}else{
			map2x=420;
			SDL_FreeSurface(image2);
			image2 = (SDL_Surface *)SDL_LoadBMP(&FileName[mapname][0]);
			mapname++;
			if(strcmp(&FileName[mapname][0],"EOF")==0)MapFlg=1;
		}
	}
	SDL_BlitSurface(image2,&recMap,mapimage,&recSrcMap);
	
}
*/
