#include "Enemy.h"

EnemyClass::EnemyClass()
{
	for(int i=0;i<ESHOT_MAX;i++){
		shot[i].flg=0;
	}
	image.LoadImage("./Images/Beam.bmp");
	image.SetColorKey(0x000000);
	LoadTime=0;
}
EnemyClass::~EnemyClass()
{
}

void EnemyClass::MakeShot(float time){
	LoadTime--;
	if(LoadTime<0)LoadTime=0;
	for(int i=0;i<ESHOT_MAX;i++){
		if(shot[i].flg==0 && LoadTime==0){
			shot[i].flg=1;
			shot[i].x=VIDEO_W;
			shot[i].y=rand()%VIDEO_H;
			shot[i].Speed=rand()%2+1;
			LoadTime=115-(100-(int)time);
			break;
		}
	}
}
void EnemyClass::MoveAllShot(int speed)
{
	for(int i=0;i<ESHOT_MAX;i++){
		if(shot[i].flg){
			shot[i].x-=(shot[i].Speed+speed);
		}
	}
}
void EnemyClass::DrawAllShot(SDL_Surface *screen)
{
	for(int i=0;i<ESHOT_MAX;i++){
		if(shot[i].flg){
		image.Draw((int)shot[i].x,(int)shot[i].y,0,0,32,32,screen);
		if(shot[i].x<-32)shot[i].flg=0;
		}
	}
}
