#include "SpriteClass.h"
// $B%9%W%i%$%H4IM}4X?t(B

CSprite::CSprite()
{
	image=NULL;
}

CSprite::~CSprite()
{
	if(image==NULL)return;
	SDL_FreeSurface(image);
	
}

// $B%$%a!<%8$NFI$_9~$_(B
bool CSprite::LoadImage(char* name)
{
	image = (SDL_Surface *)SDL_LoadBMP(name);
	if(image==NULL){
		printf("Not Found %s\n",name);
		return false;
	}
	return true;
}

// $B%+%i!<%-!<@_Dj4X?t(B
void CSprite::SetColorKey(int key){
	// $BF)2a?'$N@_Dj(B
	SDL_SetColorKey(image,SDL_SRCCOLORKEY,key);
}

// $BIA2h(B
void CSprite::Draw(int x,int y,int image_x,int image_y,int image_w,int image_h,SDL_Surface *screen){
	if(image==NULL)return;
	SDL_Rect	src1;
	SDL_Rect	dsr1;
	src1.x	=image_x;
	src1.y	=image_y;
	src1.w	=image_w;
	src1.h	=image_h;
	
	dsr1.x	=x;
	dsr1.y	=y;
	SDL_BlitSurface(image,&src1,screen,&dsr1);
}

